diff --git a/doc/example/chap/abs.tex b/doc/example/chap/abs.tex
index ea215a8..8ad4294 100644
--- a/doc/example/chap/abs.tex
+++ b/doc/example/chap/abs.tex
@@ -2,7 +2,7 @@
 % Public domain.
 
 \begin{cabstract}
-	\pkuthssffaq % 中文测试文字。
+	中文摘要。
 \end{cabstract}
 
 \ifblind\begin{beabstract}\else\begin{eabstract}\fi
diff --git a/doc/example/chap/ack.tex b/doc/example/chap/ack.tex
index 4af4d39..09de33d 100644
--- a/doc/example/chap/ack.tex
+++ b/doc/example/chap/ack.tex
@@ -1,7 +1,7 @@
 % Copyright (c) 2014,2016 Casper Ti. Vector
 % Public domain.
 
-\chapter{致谢}
-\pkuthssffaq % 中文测试文字。
+\chapter{Acknowledgements}
+Test text.
 
 % vim:ts=4:sw=4
diff --git a/doc/example/chap/chap1.tex b/doc/example/chap/chap1.tex
index 3d631f3..6e46b13 100644
--- a/doc/example/chap/chap1.tex
+++ b/doc/example/chap/chap1.tex
@@ -1,7 +1,7 @@
 % Copyright (c) 2014,2016,2018 Casper Ti. Vector
 % Public domain.
 
-\chapter{引言}
-\pkuthssffaq % 中文测试文字。
+\chapter{Introduction}
+Test text.
 
 % vim:ts=4:sw=4
diff --git a/doc/example/chap/chap2.tex b/doc/example/chap/chap2.tex
index 85f7008..da8c177 100644
--- a/doc/example/chap/chap2.tex
+++ b/doc/example/chap/chap2.tex
@@ -1,7 +1,7 @@
 % Copyright (c) 2014,2016 Casper Ti. Vector
 % Public domain.
 
-\chapter{章节}
-\pkuthssffaq % 中文测试文字。
+\chapter{Some chapter}
+Test text.
 
 % vim:ts=4:sw=4
diff --git a/doc/example/chap/chap3.tex b/doc/example/chap/chap3.tex
index ed66f12..ae221d6 100644
--- a/doc/example/chap/chap3.tex
+++ b/doc/example/chap/chap3.tex
@@ -1,7 +1,7 @@
 % Copyright (c) 2014,2016,2018 Casper Ti. Vector
 % Public domain.
 
-\chapter{结论和展望}
-\pkuthssffaq % 中文测试文字。
+\chapter{Conclusion}
+Test text.
 
 % vim:ts=4:sw=4
diff --git a/doc/example/chap/encl1.tex b/doc/example/chap/encl1.tex
index 9834829..4296e9a 100644
--- a/doc/example/chap/encl1.tex
+++ b/doc/example/chap/encl1.tex
@@ -1,7 +1,7 @@
 % Copyright (c) 2014,2016 Casper Ti. Vector
 % Public domain.
 
-\chapter{附件}
-\pkuthssffaq % 中文测试文字。
+\chapter{Some appendix}
+Test text.
 
 % vim:ts=4:sw=4
diff --git a/doc/example/thesis.bib b/doc/example/thesis.bib
index ac5b0c9..9d2ad60 100644
--- a/doc/example/thesis.bib
+++ b/doc/example/thesis.bib
@@ -7,13 +7,4 @@
 	language = {english},
 }
 
-@article{test-zh,
-	author = {作者},
-	title = {标题},
-	type = {J},
-	journal = {期刊},
-	date = {2014-04-01},
-	language = {chinese},
-}
-
 % vim:ts=4:sw=4
diff --git a/doc/example/thesis.tex b/doc/example/thesis.tex
index dbfd379..6a8767a 100644
--- a/doc/example/thesis.tex
+++ b/doc/example/thesis.tex
@@ -14,36 +14,43 @@
 \documentclass[UTF8]{pkuthss}
 % 如果的确须要使脚注按页编号的话，可以去掉后面 footmisc 包的注释。
 %\usepackage[perpage]{footmisc}
-
-% 使用 biblatex 排版参考文献，并规定其格式（详见 biblatex-caspervector 的文档）。
-% 这里按照西文文献在前，中文文献在后排序（“sorting = ecnyt”）；
-% 若须按照中文文献在前，西文文献在后排序，请设置“sorting = cenyt”；
-% 若须按照引用顺序排序，请设置“sorting = none”。
-% 若须在排序中实现更复杂的需求，请参考 biblatex-caspervector 的文档。
-% biblatex-caspervector 也有一个“ugly”选项，使其更像国标格式；此外也可考虑
-% 改用 style = gb7714-2015 并去掉之后两选项，详见 biblatex-gb7714-2015 的文档。
-\usepackage[backend = biber, style = caspervector, utf8, sorting = ecnyt]{biblatex}
+% 使用 biblatex 排版参考文献，并规定其格式（详见 biblatex 的文档）。
+\usepackage[backend = biber]{biblatex}
 
 % 对于 linespread 值的计算过程有兴趣的同学可以参考 pkuthss.cls。
 \renewcommand*{\bibfont}{\zihao{5}\linespread{1.27}\selectfont}
 % 按学校要求设定参考文献列表的段间距。
 \setlength{\bibitemsep}{3bp}
 
+\ctexset{
+	contentsname = {Contents},
+	listfigurename = {List of Figures},
+	listtablename = {List of Tables},
+	figurename = {Figure},
+	tablename = {Table},
+	indexname = {Index},
+	appendixname = {Appendix},
+	part/name = {\partname\space},
+	part/number = {\thepart},
+	chapter/name = {\chaptername\space},
+	chapter/number = {\thechapter},
+}
+
 % 如是双盲版论文，将 \blindfalse 改为 \blindtrue。后面可用
 % \ifblind 根据是否双盲来条件地启用代码（参见本文件后面部分）。
 \newif\ifblind\blindfalse
 % 设定文档的基本信息。
 \pkuthssinfo{
-	cthesisname = {博士学位论文}, ethesisname = {Doctor Thesis},
-	thesiscover = {博士研究生学位论文},
+	ethesisname = {Doctor Thesis},
 	% 长标题可用 \thssnl 强制换行，不能用“\\”（双盲版会出错）。
-	ctitle = {测试文档},
 	etitle = {Test Document},
-	cauthor = {某某}, eauthor = {Test}, date = {某年某月},
-	studentid = {0123456789}, school = {某某学院},
-	cmajor = {某某专业}, emajor = {Some Major},
-	direction = {某某方向}, mentorlines = {2},
-	cmentor = {某甲教授\\某乙教授},
+	eauthor = {Test},
+	date = {Month Year}, studentid = {0123456789},
+	school = {Some School},
+	emajor = {Some Major},
+	direction = {Some Research Division},
+	mentorlines = {2},
+	cmentor = {Prof.\ Somebody\\Prof.\ Someone},
 	ementor = {Prof.\ Somebody and Prof.\ Someone},
 	ckeywords = {其一，其二},
 	ekeywords = {First, Second},
@@ -54,34 +61,6 @@
 % 载入参考文献数据库（注意不要省略“.bib”）。
 \addbibresource{thesis.bib}
 
-% 普通用户可删除此段，并相应地删除 chap/*.tex 中的
-% “\pkuthssffaq % 中文测试文字。”一行。
-\usepackage{color}
-\def\pkuthssffaq{%
-	\emph{\textcolor{red}{pkuthss 文档模版最常见问题：}}
-
-	\texttt{\string\cite}、\texttt{\string\parencite} %
-	和 \texttt{\string\supercite} 三个命令分别产生%
-	未格式化的、带方括号的和上标且带方括号的引用标记：%
-	\cite{test-en}，\parencite{test-zh}、\supercite{test-en, test-zh}。
-
-	若格式审查时提示字号或其它格式细节问题，请启用 pkuthss 的 \texttt{ugly}
-	选项，同时可以考虑启用 biblatex-caspervector 的 \texttt{ugly} 选项
-	或者换用 biblatex-gb7714-2015，详见 \texttt{thesis.tex} 中相关注释。
-
-	生成的 PDF 文件中标记链接的彩色框不会出现在打印版论文中。
-	如仍须去掉，可在 \texttt{thesis.tex} 导言区加入
-	\texttt{\string\hypersetup\{hidelinks\}}。
-
-	若要避免章末空白页，请在调用 pkuthss 文档类时加入 \texttt{openany} 选项。
-
-	如果编译时不出参考文献，
-	请参考 \texttt{texdoc pkuthss}“问题及其解决”一章
-	“上游宏包可能引起的问题”一节中关于 biber 的说明。
-
-	因无法假定用户使用哪种方式排版表格，用户须自行保证表格字号符合学校规定。%
-}
-
 \begin{document}
 	% 以下为正文之前的部分，默认不进行章节编号。
 	\frontmatter
diff --git a/tex/pkuthss-utf8.def b/tex/pkuthss-utf8.def
index e1d9566..7cfbd32 100644
--- a/tex/pkuthss-utf8.def
+++ b/tex/pkuthss-utf8.def
@@ -27,13 +27,13 @@
 	[2021/10/16 v1.9.1 Labels and captions in UTF-8 encoding
 		for the pkuthss document class]
 
-\def\label@ctitle{题目：}
-\def\label@cauthor{姓\hphantom{汉字}名：}
-\def\label@studentid{学\hphantom{汉字}号：}
-\def\label@school{院\hphantom{汉字}系：}
-\def\label@cmajor{专\hphantom{汉字}业：}
-\def\label@direction{研究方向：}
-\def\label@cmentor{导\hphantom{汉字}师：}
+\def\label@ctitle{Title: }
+\def\label@cauthor{Name}
+\def\label@studentid{Student ID}
+\def\label@school{Affiliation}
+\def\label@cmajor{Major}
+\def\label@direction{Research Division}
+\def\label@cmentor{Supervisor}
 \def\label@ckeywords{关键词：}
 \def\label@blindcover{（匿名评阅论文封面）}
 \def\label@blindctitle{中文题目：}
diff --git a/tex/pkuthss.cls b/tex/pkuthss.cls
index 5aaf3ae..68bc3a4 100644
--- a/tex/pkuthss.cls
+++ b/tex/pkuthss.cls
@@ -332,7 +332,7 @@
 	\fancyhf{}\renewcommand*{\headrulewidth}{0.75bp}
 	\fancyfoot[C]{\zihao{5}\normalfont{\thepage}}
 	\if@twoside
-		\fancyhead[CE]{\zihao{5}\normalfont{\cuniversity\cthesisname}}
+		\fancyhead[CE]{\zihao{5}\normalfont{{\euniversity} {\ethesisname}}}
 		\fancyhead[CO]{\zihao{5}\normalfont\thss@int@setcase{\leftmark}}
 	\else
 		\fancyhead[C]{\zihao{5}\normalfont\thss@int@setcase{\leftmark}}
@@ -382,14 +382,14 @@
 				\zihao{1}\includegraphics[height = 2.4em]{pkulogo}\hspace{0.4em}%
 				\raisebox{0.4em}{\includegraphics[height = 1.6em]{pkuword}}\\[0.8em]
 			\fi%
-			{\bfseries\ifx\thesiscover\empty{\cthesisname}\else{\thesiscover}\fi}%
+			{\bfseries\ethesisname}%
 		}
 		\vfill
 		% Title of the thesis.
 		{%
 			\ifthss@opt@ugly\zihao{-1}\else\zihao{2}\fi%
 			\linespread{1.6}\selectfont{\label@ctitle}%
-			\thss@int@fillinblank{2}{0.64\textwidth}{\textbf{\@ctitle}}%
+			\thss@int@fillinblank{2}{0.64\textwidth}{\textbf{\@etitle}}%
 		}
 		\vfill
 		% Information about the author.
@@ -397,18 +397,18 @@
 			% Slightly adjust the line skip when using new font size.
 			\zihao{3}\linespread{1.75}\selectfont
 			\def\thss@tmp@len{0.56\textwidth}
-			\begin{tabular}{l@{\extracolsep{0.2em}}c}
-				{\bfseries\label@cauthor}		&
-				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@cauthor}		\\
-				{\bfseries\label@studentid}	&
+			\begin{tabular}{c@{\extracolsep{0.2em}}c@{\extracolsep{0.2em}}c}
+				{\bfseries\label@cauthor}		&	: &
+				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@eauthor}		\\
+				{\bfseries\label@studentid}	&	:	&
 				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@studentid}	\\
-				{\bfseries\label@school}		&
+				{\bfseries\label@school}		&	:	&
 				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@school}		\\
-				{\bfseries\label@cmajor}		&
-				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@cmajor}		\\
-				{\bfseries\label@direction}	&
+				{\bfseries\label@cmajor}		&	:	&
+				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@emajor}		\\
+				{\bfseries\label@direction}	&	:	&
 				\thss@int@fillinblank{1}{\thss@tmp@len}{\fangsong\@direction}	\\
-				{\bfseries\label@cmentor}		&
+				{\bfseries\label@cmentor}		&	:	&
 				\thss@int@fillinblank{\mentorlines}%
 					{\thss@tmp@len}{\fangsong\@cmentor}	\\
 			\end{tabular}%
